## dh-make-perl 0.93

=== debian/changelog ===
dh-make-perl (0.93) unstable; urgency=medium

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: replace "This plugin" with the module
    name in the long description, like we already did with "This module"
    and "This library".
  * Fix a typo in dh-make-perl's POD. Thanks to lintian.
  * Extend checks for 'perl-modules'.
    perl-modules has been replaced by perl-modules-5.2[24]. Adapt checks
    for it.
  * Remove headers from Contents test files. Thanks to Paul Wise for the
    bug report. (Closes: #842887)

  [ Christopher Hoskin ]
  * Require user intervention to resolve version ambiguity
    (Closes: #848337)

  [ gregor herrmann ]
  * Debian::Dependency: add support for build profiles (so called
    "restriction formulas") to the parse() function.
    Thanks to David Bremner for the bug report. (Closes: #850000)

  [ Carnë Draug ]
  * Use dh-make-perl email and name information for git commits,
    including git commits done by pristine-tar.
    (Closes: #852332)
  * DhMakePerl::Command::Packaging: add two new methods: get_email
    and get_name.

  [ gregor herrmann ]
  * dh-make-perl(1): remove references to quilt(1) which are only relevant
    for pre '3.0 (quilt)' source packages.
  * dh-make-perl(1): add paragraph about dependency tracking and required
    packages/files to POD. (Closes: #851136)
  * dh-make-perl(1): add new contributors to credits.
  * Update years of copyright.
  * Add debian/tests/pkg-perl/use-name to run autopkgtest's use.t test.

 -- gregor herrmann <gregoa@debian.org>  Thu, 26 Jan 2017 20:26:57 +0100

dh-make-perl (0.92) unstable; urgency=medium

  [ Christian Hofstaedtler ]
  * Remove Christopher Sacca <csacca@thecsl.org> from Uploaders.
    (Closes: #831593)

  [ gregor herrmann ]
  * Use Dpkg::Source::Package's get_default_diff_ignore_regex() function
    instead of the deprecated $diff_ignore_default_regexp string.
    Thanks to Guillem Jover for the bug report. (Closes: #834199)
  * Drop latest-debian-changelog-entry-changed-to-native lintian overrides.
  * Add t/dists/Strange-2.1/DEADJOE to test default exclude regexp.
  * Remove Nathan Handler from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!
  * DhMakePerl::Command::Packaging: strip leading articles from short
    description.
  * debian/control: add build dependency on libdpkg-parse-perl to avoid
    warnings during tests.
  * debian/control: remove Homepage field which still pointed to MetaCPAN.

  [ Axel Beckert ]
  * lib/Debian/AptContents.pm:
    + Add path component with architecture triplet to regexp in
      read_cache(). Fixes "dh-make-perl locate" not finding any XS or
      C-written modules anymore. (RT#117963) Thanks Joenio Costa for the
      bug report!
    + Fix typo in code comment.
  * Don't let dh_clean remove t/dists/Strange-2.1/DEADJOE.

 -- Axel Beckert <abe@debian.org>  Tue, 20 Sep 2016 00:17:48 +0200

## dh-make-perl 0.94

=== debian/changelog ===
dh-make-perl (0.94) unstable; urgency=medium

  [ Carnë Draug ]
  * Fix "Error: Can't locate object method "get_user"" Create new
    DhMakePerl::Command::Packaging->get_user method which is used when
    DEBEMAIL and EMAIL are unset.  Fixes regression from 0.93.
    (Closes: #856532)

 -- gregor herrmann <gregoa@debian.org>  Thu, 16 Mar 2017 21:22:51 +0100

=== debian/control ===
Source: dh-make-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Wolfgang Schemmel <debian@37.org>,
           Damyan Ivanov <dmn@debian.org>,
           gregor herrmann <gregoa@debian.org>,
           Oliver Gorwits <oliver.gorwits@oucs.ox.ac.uk>,
           Salvatore Bonaccorso <carnil@debian.org>,
           Axel Beckert <abe@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 9),
               libmodule-build-perl,
               perl
Build-Depends-Indep: libapt-pkg-perl,
                     libarray-unique-perl,
                     libclass-accessor-perl,
                     libconfig-ini-perl,
                     libdpkg-perl (>= 1.17.2),
                     libdpkg-parse-perl,
                     libemail-address-perl,
                     libemail-date-format-perl,
                     libfile-dircompare-perl,
                     libfile-find-rule-perl,
                     libfile-touch-perl,
                     libfile-which-perl,
                     libipc-run-perl,
                     liblist-moreutils-perl,
                     libmodule-depends-perl (>= 0.15),
                     libparse-debcontrol-perl,
                     libparse-debianchangelog-perl,
                     libsoftware-license-perl,
                     libtest-compile-perl,
                     libtest-deep-perl,
                     libtest-differences-perl,
                     libtest-distmanifest-perl,
                     libtest-exception-perl,
                     libtest-pod-coverage-perl,
                     libtest-pod-perl,
                     libtext-diff-perl,
                     libtie-ixhash-perl,
                     libwww-mechanize-perl,
                     libyaml-perl,
                     perl (>= 5.13.10) | libcpan-meta-perl
# for RELEASE_TESTING
#                     , libtest-perl-critic-perl
#                     , libtest-version-perl
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/dh-make-perl.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/dh-make-perl.git

Package: dh-make-perl
Architecture: all
Depends: debhelper (>= 9),
         dpkg-dev,
         fakeroot,
         libapt-pkg-perl,
         libarray-unique-perl,
         libclass-accessor-perl,
         libconfig-ini-perl,
         libdpkg-perl,
         libdebian-source-perl,
         libemail-address-perl,
         libemail-date-format-perl,
         libfile-which-perl,
         liblist-moreutils-perl,
         libmodule-depends-perl (>= 0.15),
         libparse-debianchangelog-perl,
         libsoftware-license-perl,
         libtie-ixhash-perl,
         libwww-mechanize-perl,
         libwww-perl,
         libyaml-perl,
         libyaml-libyaml-perl,
         make,
         perl,
         perl (>= 5.13.10) | libcpan-meta-perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: apt-file (>= 3),
            apt (>= 1.1.8),
            git,
            libdpkg-parse-perl,
            libmodule-build-perl,
            pristine-tar
Description: helper for creating Debian packages from perl modules
 dh-make-perl will create the files required to build a Debian source
 package out of a perl package.  This works for most simple packages
 and is also useful for getting started with packaging perl modules.
 Given a perl package name, it can also automatically download it from
 CPAN.
 .
 dh-make-perl can also help keeping the debian/ content current when upstream
 dependencies or Debian practices change. It can also help improve existing
 Perl module packages.
 .
 Includes the cpan2deb and cpan2dsc flavours.

Package: libdebian-source-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         dpkg-dev,
         libapt-pkg-perl,
         libarray-unique-perl,
         libclass-accessor-perl,
         liblist-moreutils-perl,
         libparse-debcontrol-perl,
         libtie-ixhash-perl,
         libwww-mechanize-perl,
         libwww-perl
Breaks: dh-make-perl (<< 0.91)
Replaces: dh-make-perl (<< 0.91)
Description: collection of Perl modules for handling Debian source packages
 This collection of Perl modules was originally developed to support
 dh-make-perl, but may also be useful for other tools that need to
 manipulate (unpacked) Debian source packages.  The current modules in
 the package are:
 .
  * Debian::Control
  * Debian::Control::Stanza
  * Debian::Control::Stanza::Binary
  * Debian::Control::Stanza::CommaSeparated
  * Debian::Control::Stanza::Source
  * Debian::Dependencies
  * Debian::Dependency
  * Debian::DpkgLists
  * Debian::Rules
  * Debian::WNPP::Bug
  * Debian::WNPP::Query

## dh-make-perl 0.95

=== debian/changelog ===
dh-make-perl (0.95) unstable; urgency=medium

  [ Damyan Ivanov ]
  * centralized method for determining if a given package belongs to the set
    of core Perl packages
  * is_core_perl_package: strip architecture before matching package name
  * FromCPAN/find_debs_for_modules: remove core packages from the result of
    DpkgLists->scan_perl_mod
    (Closes: #854046)

  [ Alex Muntada ]
  * Debian::Control::Stanza: accept case-insensitive field names in new()
    as required by Debian Policy while retaining the canonical accessors.
    Thanks to Ben Finney for the bug report. (Closes: #860023)

  [ gregor herrmann ]
  * Drop debian/source/local-options. The options were for non-native
    packages and caused warnings from dpkg-source.
  * Add debian/gbp.conf to tell gbp and dpt-push about the tag format.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Jun 2017 20:24:44 +0200

## dh-make-perl 0.99

=== debian/changelog ===
dh-make-perl (0.99) unstable; urgency=medium

  [ gregor herrmann ]
  * Debian::Control::Stanza::Binary: add 'Multi-Arch' to list of known
    fields.
  * Lowercase "Initial _r_elease" in created changelog entry.

  [ Damyan Ivanov ]
  * point pkg-perl git URLs to salsa.debian.org
  * t/AptContents.t: no plan
  * AptContents: avoid empty cpu allocation slots when distributing multiple
    contents files tor parsing
  * Set this package's Vcs-* URLs to salsa

 -- Damyan Ivanov <dmn@debian.org>  Sat, 24 Feb 2018 07:35:01 +0000

dh-make-perl (0.98) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 4.1.3
  * Use Standards-Version 4.1.3 in testsuite control files
  * Declare compliance with Debian policy 4.1.3

  [ Damyan Ivanov ]
  * bump debhelper compatibility level to 10
  * bump debhelper compatibility level in created packages
  * Packaging: remove duplicate setting of default dh compat level
  * add support for Contents-all; patch by Niels Thykier (Closes: #886235)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 03 Jan 2018 14:44:28 +0000

dh-make-perl (0.97) unstable; urgency=medium

  [ Damyan Ivanov ]
  * when parsing Contents files, strip the common prefix from the
    diagnostic output
  * parse Contents files in parallel
  * bump copyright years

  [ gregor herrmann ]
  * Debian::Control::Stanza::Source: add Rules_Requires_Root to list of
    known fields.
  * Update Standards-Version to 4.1.2 for dh-make-perl itself, for created
    packages, and in the test suite.

  [ Damyan Ivanov ]
  * Debian::Control::Stanza: add support for user-defined fields
    (X-Moon-Phase) (Closes: #883439)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 05 Dec 2017 21:13:39 +0000

dh-make-perl (0.96) unstable; urgency=medium

  [ gregor herrmann ]
  * Disable network tests during autopkgtests like during build.
  * DhMakePerl::Command::Packaging: extract_docs(): ignore all top-level
    README* files not just README itself. The trendy new .md or .mkdn
    versions usually are also just text versions of the POD, formatted in
    Markdown for GitHub. Also, ignore them case-insensitively.
  * Debian::WNPP::Query: use HTTPS for debian.org URLs.

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 4.1.1
  * Use Standards-Version 4.1.1 in testsuite control files
  * Declare compliance with Debian policy 4.1.1

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Damyan Ivanov ]
  * drop -T flag from debian-version.t (Closes: #878901)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 18 Oct 2017 20:43:22 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Uploaders: Wolfgang Schemmel <debian@37.org>,
            Damyan Ivanov <dmn@debian.org>,
            gregor herrmann <gregoa@debian.org>,
-           Oliver Gorwits <oliver.gorwits@oucs.ox.ac.uk>,
            Salvatore Bonaccorso <carnil@debian.org>,
            Axel Beckert <abe@debian.org>
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                libmodule-build-perl,
                perl
 Build-Depends-Indep: libapt-pkg-perl,
@@ -30,6 +29,8 @@
                      libparse-debcontrol-perl,
                      libparse-debianchangelog-perl,
                      libsoftware-license-perl,
+                     libsub-install-perl,
+                     libsys-cpu-perl,
                      libtest-compile-perl,
                      libtest-deep-perl,
                      libtest-differences-perl,
@@ -45,13 +46,13 @@
 # for RELEASE_TESTING
 #                     , libtest-perl-critic-perl
 #                     , libtest-version-perl
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/dh-make-perl.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/dh-make-perl.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/dh-make-perl
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/dh-make-perl.git
 
 Package: dh-make-perl
 Architecture: all
-Depends: debhelper (>= 9),
+Depends: debhelper (>= 10),
          dpkg-dev,
          fakeroot,
          libapt-pkg-perl,
@@ -82,6 +83,7 @@
             git,
             libdpkg-parse-perl,
             libmodule-build-perl,
+            libsys-cpu-perl,
             pristine-tar
 Description: helper for creating Debian packages from perl modules
  dh-make-perl will create the files required to build a Debian source
@@ -106,6 +108,7 @@
          libclass-accessor-perl,
          liblist-moreutils-perl,
          libparse-debcontrol-perl,
+         libsub-install-perl,
          libtie-ixhash-perl,
          libwww-mechanize-perl,
          libwww-perl

## dh-make-perl 0.103

=== debian/changelog ===
dh-make-perl (0.103) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 4.2.0
  * Use Standards-Version 4.2.0 in testsuite control files
  * Declare compliance with Debian policy 4.2.0

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: improve handling of Module::Build{,::Tiny).
    Handle Module::Build::Tiny the same way as Module::Build, and preserve
    versions when moving them from Build-Depends-Indep to Build-Depends.
  * Update Standards-Version to 4.2.1 for dh-make-perl itself, for created
    packages, and in the test suite.

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

 -- gregor herrmann <gregoa@debian.org>  Thu, 30 Aug 2018 23:25:16 +0200

dh-make-perl (0.102) unstable; urgency=medium

  [ gregor herrmann ]
  * DhMakePerl::Command::make: fix search_pkg_perl().
    Fix the check for existing package repositories on salsa. For non-existing
    repos, a GET would happily return success after redirecting to
    https://salsa.debian.org/users/sign_in, so we now also check the returned
    URI.
  * dh-make-perl: clarify the --version option in the POD.

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 4.1.5
  * Use Standards-Version 4.1.5 in testsuite control files
  * Declare compliance with Debian policy 4.1.5
  * Set Rules-Requires-Root to no

  [ David Miguel Susano Pinto ]
  * Fix github Repository* on d/upstream/metadata (git://, and no Browser)
    DhMakePerl::Command::Packaging (create_upstream_metadata):
    automatically fix Repository with git protocol and missing Repository-
    Browse when host is github.
    Closes: #852848

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging (create_upstream_metadata):
    - fix protocol always when not it's not HTTPS
    - handle git@github.com/ and git@github.com:user as well
  * Update copyright in lib/DhMakePerl/Command/Packaging.pm and
    debian/copyright.

 -- gregor herrmann <gregoa@debian.org>  Tue, 24 Jul 2018 18:59:59 +0200

dh-make-perl (0.101) unstable; urgency=medium

  [ gregor herrmann ]
  * Apply patch to use Email::Address::XS instead of Email::Address.
    Thanks to Pali Rohár for the bug report and the patch.
    (Closes: #887536)
  * Update (build) dependencies: libemail-address-perl →
    libemail-address-xs-perl.

  [ Damyan Ivanov ]
  * adapt to Dpkg::Version API change when evaluated in boolean context
    (Closes: #900700)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 03 Jun 2018 18:39:26 +0000

dh-make-perl (0.100) unstable; urgency=medium

  * Update Standards-Version to 4.1.4 for dh-make-perl itself, for created
    packages, and in the test suite.
  * Update some URLs to salsa.debian.org.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 May 2018 15:31:03 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                      libconfig-ini-perl,
                      libdpkg-perl (>= 1.17.2),
                      libdpkg-parse-perl,
-                     libemail-address-perl,
+                     libemail-address-xs-perl,
                      libemail-date-format-perl,
                      libfile-dircompare-perl,
                      libfile-find-rule-perl,
@@ -46,9 +46,10 @@
 # for RELEASE_TESTING
 #                     , libtest-perl-critic-perl
 #                     , libtest-version-perl
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/dh-make-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/dh-make-perl.git
+Rules-Requires-Root: no
 
 Package: dh-make-perl
 Architecture: all
@@ -61,7 +62,7 @@
          libconfig-ini-perl,
          libdpkg-perl,
          libdebian-source-perl,
-         libemail-address-perl,
+         libemail-address-xs-perl,
          libemail-date-format-perl,
          libfile-which-perl,
          liblist-moreutils-perl,

## dh-make-perl 0.104

=== debian/changelog ===
dh-make-perl (0.104) unstable; urgency=medium

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: install CODE_OF_CONDUCT files in
    extract_docs().
  * Replace sugesstion to run 'dselect update' with 'apt update' in
    Debian::Control::FromCPAN.
    Thanks to Axel Beckert for finding and reporting this gem.
    (Closes: #908164)

  [ Damyan Ivanov ]
  * make: add --revision option for setting the debian revision of the package
    version (RT#127109)

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: use HTTPS URL for Apache-2.0 license.
  * Update Standards-Version to 4.3.0 for dh-make-perl itself, for created
    packages, and in the test suite.
  * Add lintian-override for false positive uses-dpkg-database-directly.
  * Bump debhelper compatibility level in created packages to 11.
  * Bump debhelper comaptibility level to 11.
  * DhMakePerl::Command::Packaging: update discover_utility_deps().
    Adjust documentation to reality, add support for "--with perl_openssl",
    some code reformatting.
  * Debian::Control::*: add support for Build-{Depends,Conflicts}-Arch.
    Thanks to Aaron M. Ucko for the bug report. (Closes: #919964)
  * Debian::Control::*: add some more fields.
    Package-Type (binary) and some Vcs-* (source) were missing.
  * Debian::DpkgLists: strip arch qualifiers from package names. Also
    update the corresponding test. (Closes: #911769)
  * DhMakePerl::Command::Packaging: extract_docs(): ignore debian/NEWS.
  * DhMakePerl::Command::Packaging: update_file_list(): sort content
    before writing .docs/.examples files.
    This avoids reproducibility failures when the file system ordering
    changes.
    Thanks to reprotest.
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Mon, 04 Feb 2019 17:14:45 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                libmodule-build-perl,
                perl
 Build-Depends-Indep: libapt-pkg-perl,
@@ -46,14 +46,14 @@
 # for RELEASE_TESTING
 #                     , libtest-perl-critic-perl
 #                     , libtest-version-perl
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/dh-make-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/dh-make-perl.git
 Rules-Requires-Root: no
 
 Package: dh-make-perl
 Architecture: all
-Depends: debhelper (>= 10),
+Depends: debhelper (>= 11),
          dpkg-dev,
          fakeroot,
          libapt-pkg-perl,

## dh-make-perl 0.105

=== debian/changelog ===
dh-make-perl (0.105) unstable; urgency=medium

  * Debian::Control::FromCPAN: find_debs_for_modules(): update warning
    message when a package is not found in dpkg's available file: use
    `apt-cache dumpavail | dpkg --merge-avail'.
    Thanks to Guillem Jover for the pointer.
  * Update release test t/critic.t: fix path.
  * Update {alternative,versioned} (build) dependencies.
  * Remove trailing whitespace from debian/*.

 -- gregor herrmann <gregoa@debian.org>  Thu, 28 Feb 2019 16:58:40 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                      libfile-which-perl,
                      libipc-run-perl,
                      liblist-moreutils-perl,
-                     libmodule-depends-perl (>= 0.15),
+                     libmodule-depends-perl,
                      libparse-debcontrol-perl,
                      libparse-debianchangelog-perl,
                      libsoftware-license-perl,
@@ -41,8 +41,7 @@
                      libtext-diff-perl,
                      libtie-ixhash-perl,
                      libwww-mechanize-perl,
-                     libyaml-perl,
-                     perl (>= 5.13.10) | libcpan-meta-perl
+                     libyaml-perl
 # for RELEASE_TESTING
 #                     , libtest-perl-critic-perl
 #                     , libtest-version-perl
@@ -66,7 +65,7 @@
          libemail-date-format-perl,
          libfile-which-perl,
          liblist-moreutils-perl,
-         libmodule-depends-perl (>= 0.15),
+         libmodule-depends-perl,
          libparse-debianchangelog-perl,
          libsoftware-license-perl,
          libtie-ixhash-perl,
@@ -75,10 +74,8 @@
          libyaml-perl,
          libyaml-libyaml-perl,
          make,
-         perl,
-         perl (>= 5.13.10) | libcpan-meta-perl,
-         ${misc:Depends},
-         ${perl:Depends}
+         ${perl:Depends},
+         ${misc:Depends}
 Recommends: apt-file (>= 3),
             apt (>= 1.1.8),
             git,

=== debian/rules ===
#!/usr/bin/make -f

BUILDHOME = $(CURDIR)/debian/build

%:
	dh $@

override_dh_auto_test:
# leave this here for Test::DistManifest..I want it to happen on package build but not on CPAN install.
	mkdir -p $(BUILDHOME)
	HOME=$(BUILDHOME) NO_NETWORK=1 dh_auto_test

override_dh_clean:
	dh_clean -Xt/dists/Strange-2.1/DEADJOE
	rm -rf $(BUILDHOME)

	# clean after test packages
	for i in Strange-0.1 Strange-2.1; do\
		if test -d "t/dists/$$i/debian"; then \
		    ( \
			cd t/dists/$$i && \
			debian/rules clean && \
			cd .. && \
			rm -rf $$i/debian; \
		    ) \
		fi \
	done

## dh-make-perl 0.106

=== debian/changelog ===
dh-make-perl (0.106) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 4.4.0
  * Use Standards-Version 4.4.0 in testsuite control files
  * Declare compliance with Debian policy 4.4.0
  * Update copyright years for debian/* packaging files

  [ gregor herrmann ]
  * Bump debhelper compatibility level to 12.
  * Bump debhelper compat level for created packages to 12.
  * Use debhelper-compat instead of debian/compat for created packages.
  * Use debhelper-compat for dh-make-perl itself.

  * Created debian/watch files: use version=4 and version/extension
    placeholders.
  * DhMakePerl/Command/Packaging.pm:
    - create_copyright: insert warning/placeholder if we don't have a
      copyright year
    - add libmodule-build-using-pkgconfig-perl to special build dependencies
  * Update Debian::AptContents to versioned Provides in perl.
    find_perl_module_package now returns the separate package for
    dual-lifed modules instead of an alternative with the perl package.
  * Update Debian::Control::FromCPAN  to versioned Provides in perl.
    find_debs_for_modules now looks for dual-lifed packages in both
    separate packages and perl core, and priorizizes the former for
    dependencies.
  * Use Config::Model::Dpkg if available to reformat and fix
    debian/control. Both in make() and refresh(), and only with internet
    access.

  * Remove unneeded version constraint from libdpkg-perl build dependency.
    Already satisfied in oldstable.
  * Add a Breaks on dh-make-elpa (<< 0.17~) to dh-make-perl.

 -- gregor herrmann <gregoa@debian.org>  Fri, 19 Jul 2019 10:10:33 -0300

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libmodule-build-perl,
                perl
 Build-Depends-Indep: libapt-pkg-perl,
                      libarray-unique-perl,
                      libclass-accessor-perl,
                      libconfig-ini-perl,
-                     libdpkg-perl (>= 1.17.2),
+                     libdpkg-perl,
                      libdpkg-parse-perl,
                      libemail-address-xs-perl,
                      libemail-date-format-perl,
@@ -45,20 +45,21 @@
 # for RELEASE_TESTING
 #                     , libtest-perl-critic-perl
 #                     , libtest-version-perl
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/dh-make-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/dh-make-perl.git
 Rules-Requires-Root: no
 
 Package: dh-make-perl
 Architecture: all
-Depends: debhelper (>= 11),
+Depends: debhelper (>= 12),
          dpkg-dev,
          fakeroot,
          libapt-pkg-perl,
          libarray-unique-perl,
          libclass-accessor-perl,
          libconfig-ini-perl,
+         libconfig-model-dpkg-perl,
          libdpkg-perl,
          libdebian-source-perl,
          libemail-address-xs-perl,
@@ -83,6 +84,7 @@
             libmodule-build-perl,
             libsys-cpu-perl,
             pristine-tar
+Breaks: dh-make-elpa (<< 0.17~)
 Description: helper for creating Debian packages from perl modules
  dh-make-perl will create the files required to build a Debian source
  package out of a perl package.  This works for most simple packages

## dh-make-perl 0.109

=== debian/changelog ===
dh-make-perl (0.109) unstable; urgency=medium

  * DhMakePerl::Command::Packaging:
    - fix handling of $host variable in create_upstream_metadata()
    - handle bitbucket.org like git{hub,lab}.com when fixing URLs for
      debian/upstream/metadata
    - quotemata() directory name before using it in a regexp. Otherwise
      characters like '+' (e.g. from a debian version) create havoc.
  * Fix for t/debian-version.t: ignore +foo suffix in Debian version.
  * Update Standards-Version to 4.5.0 for dh-make-perl itself, for created
    packages, and in the test suite.

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Jan 2020 18:07:10 +0100

dh-make-perl (0.108) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 4.4.1
  * Use Standards-Version 4.4.1 in testsuite control files
  * Declare compliance with Debian policy 4.4.1

  [ gregor herrmann ]
  * DhMakePerl::Utils: add perl-xs-dev to list of perl core packages.
  * t/dists.t: don't try to compare directories.
  * Add build dependency on libyaml-libyaml-perl.
  * Debian::DpkgLists: use dpkg-query(1) instead of accessing
    /var/lib/dpkg/info/*.list directly.
    Thanks to Guillem Jover for the bug report and the helpful hints.
    (Closes: #944964)
  * Update documentation for Debian::DpkgLists.
  * Add dependency on dpkg (>= 1.19.3) to libdebian-source-perl.
    Debian::DpkgLists uses dpkg-query's "db-fsys:Files" virtual field
    which was introduced in 1.19.3.

 -- gregor herrmann <gregoa@debian.org>  Wed, 04 Dec 2019 19:06:28 +0100

dh-make-perl (0.107) unstable; urgency=medium

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: change Uploader handling in
    fill_maintainer.
    In the pkg-perl case, only add the current user to Uploaders if
    Maintainers is not yet the Perl Group; i.e. for new or adopted packages
    but not for refreshing existing ones.

  [ intrigeri ]
  * Migrate from Parse::DebianChangelog to Dpkg::Changelog::Debian:
    - t/debian-version.t: migrate from Parse::DebianChangelog to
      Dpkg::Changelog::Debian
    - DhMakePerl::Command::Packaging: migrate from Parse::DebianChangelog to
      Dpkg::Changelog::Debian
    - Drop now unused dependency on Parse::DebianChangelog
    (Closes: #933132)

  [ gregor herrmann ]
  * t/{dists,cache}.t: always run dh-make-perl with --no-network.
    Make sure there's no network access during tests.
    This not only fixes the immediate issue with Config::Model reformatting
    debian/control but more generally helps to ensure that external sources
    don't influence the test results.
    (Closes: #933227)
  * Retire NO_NETWORK variable in debian/* after it's not used anymore in
    the tests.
  * DhMakePerl::Command::Packaging: stop adding Name and Contact fields to
    debian/upstream/metadata.
    These fields are deprecated, as they duplicate information from
    debian/copyright.
  * DhMakePerl::Command::Packaging: handle GitLab like GitHub when
    rewriting URLs for debian/upstream/metadata.
  * Annotate test-only build dependencies with <!nocheck>.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Sep 2019 18:02:34 +0200

=== debian/control ===
--- 
+++ 
@@ -11,41 +11,41 @@
 Build-Depends: debhelper-compat (= 12),
                libmodule-build-perl,
                perl
-Build-Depends-Indep: libapt-pkg-perl,
-                     libarray-unique-perl,
-                     libclass-accessor-perl,
-                     libconfig-ini-perl,
-                     libdpkg-perl,
-                     libdpkg-parse-perl,
-                     libemail-address-xs-perl,
-                     libemail-date-format-perl,
-                     libfile-dircompare-perl,
-                     libfile-find-rule-perl,
-                     libfile-touch-perl,
-                     libfile-which-perl,
-                     libipc-run-perl,
-                     liblist-moreutils-perl,
-                     libmodule-depends-perl,
-                     libparse-debcontrol-perl,
-                     libparse-debianchangelog-perl,
-                     libsoftware-license-perl,
-                     libsub-install-perl,
-                     libsys-cpu-perl,
-                     libtest-compile-perl,
-                     libtest-deep-perl,
-                     libtest-differences-perl,
-                     libtest-distmanifest-perl,
-                     libtest-exception-perl,
-                     libtest-pod-coverage-perl,
-                     libtest-pod-perl,
-                     libtext-diff-perl,
-                     libtie-ixhash-perl,
-                     libwww-mechanize-perl,
-                     libyaml-perl
+Build-Depends-Indep: libapt-pkg-perl <!nocheck>,
+                     libarray-unique-perl <!nocheck>,
+                     libclass-accessor-perl <!nocheck>,
+                     libconfig-ini-perl <!nocheck>,
+                     libdpkg-perl <!nocheck>,
+                     libdpkg-parse-perl <!nocheck>,
+                     libemail-address-xs-perl <!nocheck>,
+                     libemail-date-format-perl <!nocheck>,
+                     libfile-dircompare-perl <!nocheck>,
+                     libfile-find-rule-perl <!nocheck>,
+                     libfile-touch-perl <!nocheck>,
+                     libfile-which-perl <!nocheck>,
+                     libipc-run-perl <!nocheck>,
+                     liblist-moreutils-perl <!nocheck>,
+                     libmodule-depends-perl <!nocheck>,
+                     libparse-debcontrol-perl <!nocheck>,
+                     libsoftware-license-perl <!nocheck>,
+                     libsub-install-perl <!nocheck>,
+                     libsys-cpu-perl <!nocheck>,
+                     libtest-compile-perl <!nocheck>,
+                     libtest-deep-perl <!nocheck>,
+                     libtest-differences-perl <!nocheck>,
+                     libtest-distmanifest-perl <!nocheck>,
+                     libtest-exception-perl <!nocheck>,
+                     libtest-pod-coverage-perl <!nocheck>,
+                     libtest-pod-perl <!nocheck>,
+                     libtext-diff-perl <!nocheck>,
+                     libtie-ixhash-perl <!nocheck>,
+                     libwww-mechanize-perl <!nocheck>,
+                     libyaml-perl <!nocheck>,
+                     libyaml-libyaml-perl <!nocheck>
 # for RELEASE_TESTING
-#                     , libtest-perl-critic-perl
-#                     , libtest-version-perl
-Standards-Version: 4.4.0
+#                     , libtest-perl-critic-perl <!nocheck>
+#                     , libtest-version-perl <!nocheck>
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/dh-make-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/dh-make-perl.git
 Rules-Requires-Root: no
@@ -67,7 +67,6 @@
          libfile-which-perl,
          liblist-moreutils-perl,
          libmodule-depends-perl,
-         libparse-debianchangelog-perl,
          libsoftware-license-perl,
          libtie-ixhash-perl,
          libwww-mechanize-perl,
@@ -102,6 +101,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
+         dpkg (>= 1.19.3),
          dpkg-dev,
          libapt-pkg-perl,
          libarray-unique-perl,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 override_dh_auto_test:
 # leave this here for Test::DistManifest..I want it to happen on package build but not on CPAN install.
 	mkdir -p $(BUILDHOME)
-	HOME=$(BUILDHOME) NO_NETWORK=1 dh_auto_test
+	HOME=$(BUILDHOME) dh_auto_test
 
 override_dh_clean:
 	dh_clean -Xt/dists/Strange-2.1/DEADJOE

## dh-make-perl 0.113

=== debian/changelog ===
dh-make-perl (0.113) unstable; urgency=medium

  * Add test and runtime dependency on libpod-parser-perl.
    Required for Perl 5.32.
  * Debian::WNPP::Query: use HTTPS for bugs.debian.org links.
  * t/Control.t: add more testcases for X(SBC)-* fields.
  * Debian::Control::Stanza: fix looks_like_an_x_field() function.
    Debian Policy defines "X followed by one or more of S, B, C" fields in
    control files. looks_like_an_x_field() so far only accepted one of them,
    which breaks e.g. Ubuntu's XSBC-Original-Maintainer field.
    Adjust regexp to the one used by Dpkg::Control::FieldsCore.
    Thanks to Lukas Märdian for the bug report. (LP: #1886461)
  * Debian::DpkgLists: ignore dpkg-query status messages in _cat_lists().
  * DhMakePerl::Command::make: use 'apt-get install' instead of 'dpkg -i'
    for installing the created and built package. The former also takes
    care of dependencies.
    Thanks to Paul Wise for the bug report. (Closes: #954827)
  * Update some copyright attributions.
  * Hardening support for arch:any packages (a.k.a. C/XS modules):
    + Update test suite: expect debian/rules with hardening flags for
      arch:any package.
    + Separate debian/rules template into an arch:all and an arch:any
      version (again). The latter contains hardening flags.
    + DhMakePerl::Command::Packaging: use the arch:{all,all} debian/rules
      template depending on the architecture of the binary package.

 -- gregor herrmann <gregoa@debian.org>  Sun, 12 Jul 2020 01:13:06 +0200

dh-make-perl (0.112) unstable; urgency=medium

  * Use debhelper (compatibility level) 13.
  * Drop HOME handling from debian/rules.
    Not needed anymore with debhelper 13.
  * Create packages with debhelper-compat 13 by default.
  * Update tests for debhelper-compat (= 13).
  * Update release tests.
    Move them all to t/, honour RELEASE_TESTING in all of them.
  * Fix some spelling mistakes in the POD.

 -- gregor herrmann <gregoa@debian.org>  Sat, 16 May 2020 18:22:47 +0200

dh-make-perl (0.111) unstable; urgency=medium

  * DhMakePerl::Command::Packaging: create_upstream_metadata: don't create
    debian/upstream/metadata if we don't have a Repository because that's
    the main purpose of the file.
  * DhMakePerl::Command::make: remove codepath which pointed to
    svn.debian.org/pkg-perl and was unused since 2011.
  * Add 'Rules-Requires-Root: no' to new and refreshed packages.
  * Update copyright notices.
  * Upload to unstable.

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Mar 2020 19:34:02 +0100

dh-make-perl (0.110) experimental; urgency=medium

  [ gregor herrmann ]
  * Add debian/salsa-ci.yml with the default salsa-ci pipeline.
  * DhMakePerl::Command::refresh: add call to prune_perl_deps() like
    during make().

  * Debian::Dependency: improve support for build profile annotations.
    Add a profile field, and handle profiles in the constructor and when
    parsing dependency strings.
  * Debian::Dependency: satisfies() now takes build profiles into account.
    Tests are added in t/Dep.t.
  * Debian::Control::FromCPAN: annotate test dependencies with <!nocheck>.
    Handle pure build dependencies and test dependencies separately, and use
    Debian::Dependency's profile support to add "<!nocheck>" to the latter.
    This will not cover all cases but should work fairly well for well-curated
    upstream META.json files.
  * Debian::Control::FromCPAN: also annotate runtime dependencies in
    Build-Depends{,-Indep} with <!nocheck>.
    They are there most probably for tests.
  * Add a test for a '<!nocheck>' test-only dependency to
    t/dists/Strange-2.1.
  * Debian::Control::FromCPAN: add '!nocheck' to build dependencies called
    'libtest-*'.
    This catches some of the cases where upstream doesn't differentiate
    between build_requires and test_requires.

  * Cross building support: use 'perl:native' and 'perl-xs-dev' in Build-
    Depends for arch:any packages.
  * Cross building support: update test control files.

  [ Clément Hermann ]
  * Fix for t/debian-version.t: order of string replacements and comment

  [ gregor herrmann ]
  * Wrap long lines in changelog entries: 0.10, 0.7.
  * Upload to experimental to give the new features some time for testing.

 -- gregor herrmann <gregoa@debian.org>  Sat, 22 Feb 2020 11:41:38 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libmodule-build-perl,
                perl
 Build-Depends-Indep: libapt-pkg-perl <!nocheck>,
                      libarray-unique-perl <!nocheck>,
                      libclass-accessor-perl <!nocheck>,
                      libconfig-ini-perl <!nocheck>,
+                     libdpkg-parse-perl <!nocheck>,
                      libdpkg-perl <!nocheck>,
-                     libdpkg-parse-perl <!nocheck>,
                      libemail-address-xs-perl <!nocheck>,
                      libemail-date-format-perl <!nocheck>,
                      libfile-dircompare-perl <!nocheck>,
@@ -27,24 +27,27 @@
                      liblist-moreutils-perl <!nocheck>,
                      libmodule-depends-perl <!nocheck>,
                      libparse-debcontrol-perl <!nocheck>,
+                     libpod-parser-perl <!nocheck>,
                      libsoftware-license-perl <!nocheck>,
                      libsub-install-perl <!nocheck>,
                      libsys-cpu-perl <!nocheck>,
                      libtest-compile-perl <!nocheck>,
                      libtest-deep-perl <!nocheck>,
                      libtest-differences-perl <!nocheck>,
-                     libtest-distmanifest-perl <!nocheck>,
                      libtest-exception-perl <!nocheck>,
-                     libtest-pod-coverage-perl <!nocheck>,
-                     libtest-pod-perl <!nocheck>,
                      libtext-diff-perl <!nocheck>,
                      libtie-ixhash-perl <!nocheck>,
                      libwww-mechanize-perl <!nocheck>,
-                     libyaml-perl <!nocheck>,
-                     libyaml-libyaml-perl <!nocheck>
+                     libyaml-libyaml-perl <!nocheck>,
+                     libyaml-perl <!nocheck>
 # for RELEASE_TESTING
+#                     , libtest-distmanifest-perl <!nocheck>
 #                     , libtest-perl-critic-perl <!nocheck>
+#                     , libtest-pod-coverage-perl <!nocheck>
+#                     , libtest-pod-perl <!nocheck>
+#                     , libtest-spelling-perl <!nocheck>
 #                     , libtest-version-perl <!nocheck>
+#                     , spell <!nocheck> | aspell <!nocheck> | ispell <!nocheck> | hunspell <!nocheck>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/dh-make-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/dh-make-perl.git
@@ -52,7 +55,9 @@
 
 Package: dh-make-perl
 Architecture: all
-Depends: debhelper (>= 12),
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         debhelper (>= 13),
          dpkg-dev,
          fakeroot,
          libapt-pkg-perl,
@@ -60,24 +65,23 @@
          libclass-accessor-perl,
          libconfig-ini-perl,
          libconfig-model-dpkg-perl,
+         libdebian-source-perl,
          libdpkg-perl,
-         libdebian-source-perl,
          libemail-address-xs-perl,
          libemail-date-format-perl,
          libfile-which-perl,
          liblist-moreutils-perl,
          libmodule-depends-perl,
+         libpod-parser-perl,
          libsoftware-license-perl,
          libtie-ixhash-perl,
          libwww-mechanize-perl,
          libwww-perl,
+         libyaml-libyaml-perl,
          libyaml-perl,
-         libyaml-libyaml-perl,
-         make,
-         ${perl:Depends},
-         ${misc:Depends}
-Recommends: apt-file (>= 3),
-            apt (>= 1.1.8),
+         make
+Recommends: apt (>= 1.1.8),
+            apt-file (>= 3),
             git,
             libdpkg-parse-perl,
             libmodule-build-perl,

## dh-make-perl 0.114

=== debian/changelog ===
dh-make-perl (0.114) unstable; urgency=medium

  * Update Standards-Version to 4.5.1 for dh-make-perl itself, for created
    packages, and in the test suite.
  * Add test data to t/dists/Strange-2.1 for
    debian/upstream/metadata tests.
  * DhMakePerl::Command::Packaging: create_upstream_metadata:
    - add GitHub fixes
    - fix more non-HTTPS URLs
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 Jan 2021 01:41:27 +0100

## dh-make-perl 0.116

=== Makefile ===
#!/usr/bin/make -f

PERL ?= /usr/bin/perl

all: build

Build: Build.PL
	$(PERL) $<

build install test manifest distmeta: Build
	./Build $@

orig:
	[ ! -e debian/rules ] || $(MAKE) -f debian/rules clean
	$(MAKE) Build
	./Build $@

dist: manifest
	./Build $@

clean realclean distclean:
	[ ! -e Build ] || ./Build $@

.PHONY: all build install test orig dist manifest clean realclean distclean
# vim: noet

=== debian/changelog ===
dh-make-perl (0.116) unstable; urgency=medium

  [ Guillem Jover ]
  * Debian::AptContents: Use make_path instead of mkdir.
    This way we make sure any parent directory will also be created if needed.
  * Add support for XDG base directory specification.
    This adds support for distinct config and cache directories defaulting to
    the XDG base directory specification paths.
    Add new --cache-dir and --config-dir options, and adapt the old
    --home-dir option for backwards compatibility. It will prefer using the
    legacy directory if present, and fallback to the new ones.
    Closes: #898236

 -- gregor herrmann <gregoa@debian.org>  Fri, 26 Feb 2021 23:47:03 +0100

dh-make-perl (0.115) unstable; urgency=medium

  [ gregor herrmann ]
  * Drop debian/salsa-ci.yml.
    Configured directly in the salsa project now.

  [ Helmut Grohne ]
  * Debian::Control::Stanza::Binary:
    Support binary control field Build-Profiles. (Closes: #981014)

 -- gregor herrmann <gregoa@debian.org>  Mon, 25 Jan 2021 18:23:39 +0100

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
 #                     , libtest-spelling-perl <!nocheck>
 #                     , libtest-version-perl <!nocheck>
 #                     , spell <!nocheck> | aspell <!nocheck> | ispell <!nocheck> | hunspell <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/dh-make-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/dh-make-perl.git
 Rules-Requires-Root: no
